Revoke a credential
curl --request POST \
--url https://api.hixbe.com/certify/revoke/{credential_id} \
--header 'Authorization: Bearer <token>' \
--header 'Xerobi-Version: <xerobi-version>'import requests
url = "https://api.hixbe.com/certify/revoke/{credential_id}"
headers = {
"Xerobi-Version": "<xerobi-version>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Xerobi-Version': '<xerobi-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.hixbe.com/certify/revoke/{credential_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hixbe.com/certify/revoke/{credential_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Xerobi-Version: <xerobi-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hixbe.com/certify/revoke/{credential_id}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Xerobi-Version", "<xerobi-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hixbe.com/certify/revoke/{credential_id}")
.header("Xerobi-Version", "<xerobi-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hixbe.com/certify/revoke/{credential_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Xerobi-Version"] = '<xerobi-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "revoked",
"revoked_at": "2025-12-03T10:00:00Z"
}{
"error": "invalid_request",
"message": "The credential ID provided is invalid",
"code": "INVALID_CREDENTIAL_ID"
}{
"error": "invalid_request",
"message": "The credential ID provided is invalid",
"code": "INVALID_CREDENTIAL_ID"
}{
"error": "invalid_request",
"message": "The credential ID provided is invalid",
"code": "INVALID_CREDENTIAL_ID"
}{
"error": "invalid_request",
"message": "The credential ID provided is invalid",
"code": "INVALID_CREDENTIAL_ID"
}{
"error": "invalid_request",
"message": "The credential ID provided is invalid",
"code": "INVALID_CREDENTIAL_ID"
}Revoke Credential
POST
/
revoke
/
{credential_id}
Revoke a credential
curl --request POST \
--url https://api.hixbe.com/certify/revoke/{credential_id} \
--header 'Authorization: Bearer <token>' \
--header 'Xerobi-Version: <xerobi-version>'import requests
url = "https://api.hixbe.com/certify/revoke/{credential_id}"
headers = {
"Xerobi-Version": "<xerobi-version>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Xerobi-Version': '<xerobi-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.hixbe.com/certify/revoke/{credential_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hixbe.com/certify/revoke/{credential_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Xerobi-Version: <xerobi-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hixbe.com/certify/revoke/{credential_id}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Xerobi-Version", "<xerobi-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hixbe.com/certify/revoke/{credential_id}")
.header("Xerobi-Version", "<xerobi-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hixbe.com/certify/revoke/{credential_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Xerobi-Version"] = '<xerobi-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "revoked",
"revoked_at": "2025-12-03T10:00:00Z"
}{
"error": "invalid_request",
"message": "The credential ID provided is invalid",
"code": "INVALID_CREDENTIAL_ID"
}{
"error": "invalid_request",
"message": "The credential ID provided is invalid",
"code": "INVALID_CREDENTIAL_ID"
}{
"error": "invalid_request",
"message": "The credential ID provided is invalid",
"code": "INVALID_CREDENTIAL_ID"
}{
"error": "invalid_request",
"message": "The credential ID provided is invalid",
"code": "INVALID_CREDENTIAL_ID"
}{
"error": "invalid_request",
"message": "The credential ID provided is invalid",
"code": "INVALID_CREDENTIAL_ID"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
API version in YYYY-MM-DD format
Example:
"2026-01-01"
Path Parameters
Unique identifier of the credential to revoke
Example:
"cred_1234567890abcdef"